# SearchYt

Welcome to your new gem!

This generates files that bases its functionality on the search of YouTube videos through its API

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'search_yt'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install search_yt

## Usage

Add in Gemfile: ```
	gem 'jquery-rails'
```

Add ```//= require jquery``` in app/assets/javascripts/application.js

Add ```<script src="https://apis.google.com/js/client.js?onload=onClientLoad" type="text/javascript"></script>``` in app/views/layouts/application.html.erb

To execute the functionality of this gem you should use:

  $ rails generate youtube:search

This will generate:       
        app / assets / javascripts / search_youtube / search.js
        app / controllers / search_controller.rb
        app / views / search_yt / index.html.erb


Add in ``` config/routes.rb ``` the next line:
``` get 'search/index' ```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/Training-Sena/search_yt. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the SearchYt project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/Training-Sena/search_yt/blob/master/CODE_OF_CONDUCT.md).
